## digikam 5.7.0

=== debian/changelog ===
digikam (4:5.7.0-1mx17+3) mx; urgency=medium

  * Rebuild against newer Marble in test repo so they are compatible.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 02 Mar 2018 11:09:06 -0800

digikam (4:5.7.0-1mx17+2) mx; urgency=medium

  * Rebuild because I missed showfoto packages.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 03 Nov 2017 10:24:01 -0700

digikam (4:5.7.0-1mx17+1) mx; urgency=medium

  * Rebuild for MX-17.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 31 Oct 2017 10:46:50 -0700

digikam (4:5.7.0-1) experimental; urgency=medium

  * New upstream.
  * patches/cmake-v9-fix.patch: Remove.  Applied upstream.

 -- Steve M. Robbins <smr@debian.org>  Sun, 01 Oct 2017 21:25:27 -0500

digikam (4:5.6.0-1) unstable; urgency=medium

  * kipi-plugins: Change konqueror from Recommends to Suggested.  Closes:
    #792163

  * patches/cmake-v9-fix.patch: New.  Upstream patch required to build
    using CMake 3.9.

 -- Steve M. Robbins <smr@debian.org>  Sun, 01 Oct 2017 13:44:18 -0500
