=== debian/changelog ===
digikam (4:5.9.0-1ubuntu4) eoan; urgency=medium

  * No-change rebuild against KDE PIM 19.04 

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 17 Sep 2019 10:47:43 +0100

digikam (4:5.9.0-1ubuntu3) disco; urgency=medium

  * No-change rebuild against KDEPIM 18.12.3.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 15 Mar 2019 21:50:54 +0000

digikam (4:5.9.0-1ubuntu2) cosmic; urgency=medium

  * No-change rebuild against KDE PIM 18.04.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:47:15 +0100

digikam (4:5.9.0-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Don't build with OpenGl and vc on arm64, as currently not supported
      in Ubuntu and will FTBFS.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 May 2018 08:52:41 +0000

digikam (4:5.9.0-1) unstable; urgency=medium

  * New upstream.
    - builds with kdepim 17.12.  Closes: #893515.
    - database migration fixed.  Closes: #677234.

  * Build-dep changes: add libkf5doctools-dev (#893515).

  * digikam-doc: change dependency to khelpcenter.  Closes: #886534.

 -- Steve M. Robbins <smr@debian.org>  Sun, 15 Apr 2018 20:46:17 -0500

digikam (4:5.7.0-3) UNRELEASED; urgency=medium

  * patches/flickruploadlimits.patch: New.  Raise flickr upload size limit
    to that of videos.  Closes: #874675.

 -- Steve M. Robbins <smr@debian.org>  Sat, 30 Dec 2017 11:59:06 -0600

digikam (4:5.7.0-2) experimental; urgency=medium

  * Build with qtav, for video playback functionality.

 -- Steve M. Robbins <smr@debian.org>  Mon, 13 Nov 2017 20:45:48 -0600
