=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: digikam
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>,
            Fathi Boudra <fabo@debian.org>,
            Steve M. Robbins <smr@debian.org>
 Section: graphics
 Priority: optional
-Build-Depends: bison,
+Build-Depends: appstream,
+               bison,
                cmake (>= 3.0.0),
                debhelper (>= 9),
                extra-cmake-modules,
@@ -16,14 +15,16 @@
                help2man,
                libboost-graph-dev,
                libeigen3-dev (>= 3.1.2),
-               libexiv2-dev (>= 0.26),
+               libexiv2-dev (>= 0.25),
                libexpat1-dev | libexpat-dev,
                libgphoto2-dev,
                libjpeg-dev,
                libkf5akonadicontact-dev,
                libkf5calendarcore-dev,
+               libkf5doctools-dev,
                libkf5filemetadata-dev,
                libkf5kipi-dev,
+               libkf5mediawiki-dev,
                libkf5notifications-dev,
                libkf5notifyconfig-dev,
                libkf5sane-dev,
@@ -34,13 +35,16 @@
                libmarble-dev,
                libopencv-dev (>= 3.1.0),
                libpng-dev,
-               libqt5opengl5-dev,
+               libqt5opengl5-dev [!arm64],
                libqt5svg5-dev,
                libqt5webkit5-dev,
                libqt5x11extras5-dev,
                libqt5xmlpatterns5-dev,
+               libqtav-dev [!arm64],
                libtiff-dev,
                libusb-1.0-0-dev [linux-any],
+               libxslt1-dev,
+               libxml2-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.21),
                qtbase5-dev (>= 5.4.0),
@@ -49,8 +53,8 @@
 Build-Conflicts: libgraphicsmagick1-dev,
                  libboost1.62-dev (<< 1.62.0+dfsg-4)
 Standards-Version: 4.1.0
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/digikam/trunk/
-Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/digikam/trunk
+Vcs-Browser: https://salsa.debian.org/debian/digikam
+Vcs-Git: https://salsa.debian.org/debian/digikam.git
 Homepage: http://www.digikam.org
 
 Package: digikam-private-libs
@@ -146,7 +150,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends},
-         khelpcenter4
+         khelpcenter
 Recommends: digikam
 Description: handbook for digiKam
  digiKam is an easy to use and powerful digital photo management
